import "./App.css";
import { NavLink, Outlet } from "react-router-dom";

function App() {
  return (
    <div className="App">
      <div className={"grid box"}>
        <div className={"bg-gray-100"}>
          <div className={"flex gap-2 ml-2 my-2 items-center"}>
            <div
              className={"border rounded-full w-[80px] h-[80px] bg-blue-500"}
            />
            <div className={"flex flex-col"}>
              <div className={"text-3xl select-none text-gray-700 font-bold"}>
                Fileset.io
              </div>
              <div className={"text-sm text-gray-400 mt-2 select-none"}>
                fileset of telegram api
              </div>
            </div>
          </div>
          <hr className={"my-2 bg-amber-900"} />
          <ol className={"mt-5 w-full text-center text-xl"}>
            <MenuItem to={"/app/fileset"}>文件集</MenuItem>
            <MenuItem to={"/app/sync"}>同步盘</MenuItem>
            <MenuItem to={"/app/favorite"}>收藏夹</MenuItem>
            <MenuItem to={"/app/safebox"}>保险箱</MenuItem>
            <MenuItem to={"/app/recycle"}>回收站</MenuItem>
            <hr className={"my-2 bg-amber-900"} />
            <MenuItem to={"/app/share"}>我的分享</MenuItem>
            <MenuItem to={"/app/transfer"}>传输列表</MenuItem>
          </ol>
        </div>

        <Outlet />
      </div>
    </div>
  );
}

function MenuItem(props) {
  return (
    <NavLink to={props.to ? props.to : "/"}>
      {({ isActive }) => {
        {
          return isActive ? (
            <div className={"py-2 bg-gray-400"}>{props.children}</div>
          ) : (
            <div
              className={"py-2 cursor-pointer select-none hover:bg-gray-200"}
            >
              {props.children}
            </div>
          );
        }
      }}
    </NavLink>
  );
}

export default App;
