import { Button, Carousel } from "rsuite";
import { useState } from "react";
import ArrowLeftLineIcon from "@rsuite/icons/ArrowLeftLine";
import ArrowRightLineIcon from "@rsuite/icons/ArrowRightLine";
import { Link } from "react-router-dom";

const guides = [1, 2, 3, 4, 5];

function Guide() {
  const [activeIndex, setActiveIndex] = useState(0);
  let nextActive = () => {
    if (activeIndex < guides.length - 1) {
      setActiveIndex((value) => value + 1);
    } else {
      setActiveIndex(0);
    }
  };
  let preActive = () => {
    if (activeIndex > 0) {
      setActiveIndex((value) => value - 1);
    } else {
      setActiveIndex(guides.length - 1);
    }
  };
  return (
    <>
      <Carousel
        style={{ height: 450 }}
        activeIndex={activeIndex}
        onSelect={(index) => {
          setActiveIndex(index);
        }}
      >
        {guides.map((value, index, array) => {
          return (
            <img
              key={value}
              src={`https://via.placeholder.com/600x450/8f8e94/FFFFFF?text=${value}`}
              alt={value.toString()}
              draggable={"false"}
            />
          );
        })}
      </Carousel>

      <ArrowLeftLineIcon
        className={
          "fixed text-4xl left-2 top-1/3 border border-blue-700 text-blue-700 border-rad rounded-full border-2 cursor-pointer"
        }
        onClick={preActive}
      />
      <ArrowRightLineIcon
        className={
          "fixed text-4xl right-2 top-1/3 border border-blue-700 text-blue-700 border-rad rounded-full border-2 cursor-pointer"
        }
        onClick={nextActive}
      />

      <div className={"flex w-screen justify-center gap-5 mt-8"}>
        <Link to={"/login"}>
          <Button size={"lg"} appearance={"primary"} className={"w-32"}>
            登录
          </Button>
        </Link>
        <Button size={"lg"} appearance={"ghost"} className={"w-32"}>
          注册
        </Button>
      </div>
    </>
  );
}

export default Guide;
